Folks.NameDetails.change_nickname – folks Reference Manual

# change_nickname

## Description:

public virtual async void change_nickname (string nickname) throws PropertyError

Change the contact's nickname.

It's preferred to call this rather than setting NameDetails.nickname directly, as this method gives error notification and will only return once the name has been written to the relevant backing store (or the operation's failed).

## Parameters:

nickname | the nickname (empty string to unset it)

## Exceptions:

PropertyError | if setting the nickname failed

## Since:

0.6.2